GXml.XHashMapAttr.Iterator – GXml-0.20 Reference Manual

# Iterator

## Object Hierarchy:

## Description:

public class Iterator : Object, MapIterator<string,XNode>

## Content:

### Properties:

- public bool mutable { get; }
- public bool read_only { get; }
- public bool valid { get; }

### Creation methods:

- public Iterator (XDocument doc, unowned Node* node)

### Methods:

- public string get_key ()
- public XNode get_value ()
- public bool has_next ()
- public bool next ()
- public void set_value (XNode value)
- public void unset ()

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface Gee.MapIterator

- @foreach
- fold
- get_key
- get_value

- has_next
- mutable
- next
- read_only

- set_value
- unset
- valid